; Script File for HULLGEN
;
; Sections may be in any order. This script file contains the default
; rules, which may be applied to virtually any ship list.

; [Properties] section:
; Put either of Cloak, Hyperdrive, Gravitonic, Bioscanner or Alchemy
; on the left side, a hull number list on the right side. This assigns
; the ship(s) the appropriate properties.
; Or, put a hull number list on the left side and additional text
; on the right one, this defines the extra properties.
[Properties]
Cloak       = 21,22,25,26,27,28,29,31,32,33,36,38,43,44,45,46,47
Hyperdrive  = 51,77,87
Gravitonic  = 44,45,46
Bioscanner  = 9,84,96
Alchemy     = 97,104,105
3           = Heats planets to 50F
7           = De-cloaking Tachyon field
8           = Cools planets to 50F
29,31       = Advanced cloaking
39,41       = Glory device
42          = Gambling
56          = Chunnel generator
64          = Heats planets to 100F
69          = Imperial Assault
96          = Ram scoop
97          = 1 Mineral -> 1 Fuel
104         = 1 Mineral + 1 Supply -> 1 Fuel
105         = 9 Supplies -> 1 Dur + 1 Mol + 1 Tri

; [Names] section:
; this section could contain direct name assignments. A possible line
; could be `105 = Merlin'
[Names]

; [Replace] section:
; this defines the algorithm for replacing words in the long names with
; shorter words. To delete a piece of text, leave the right side of the
; assignment empty. More specific pieces of text should come first.
; Matching is case-insensitive. Each word is replaced at most once per
; name.
; Don't worry about spaces. HULLGEN will remove multiple spaces.
[Replace]
BATTLESTAR   = BS
SUPER STAR   = SS.
RESEARCH     = Res
BATTLE       =
BASE         =
CLASS        =
VESSEL       =
SHIP         =
CARRIER      =
SCOUT        =
CRUISER      =
TRANSPORT    = T
DESTROYER    =
FRIGATE      = Fr
DEEP SPACE   = DS
FREIGHTER    = F
TORPEDO BOAT = TB
ATTACK       =
ASSAULT      =
CORVETTE     =
LIGHT        =
PROBE        =
HEAVY        =
DREADNOUGHT  = DN
BIRD-OF-PREY = BOP
STATION      =
TANKER       = T
